package rocks.zipcode.io.quiz3.fundamentals;

/**
 * @author leon on 09/12/2018.
 */
public class VowelUtils {
    private static final String[] vowels = "aeiou".split("");

    public static boolean hasVowels(String word) {
        return getIndexOfFirstVowel(word) != null;
    }

    public static Integer getIndexOfFirstVowel(String word) {
        String[] letters = word.split("");
        for (int i = 0; i < letters.length; i++) {
            Character letter = letters[i].charAt(0);
            if (isVowel(letter)) {
                return i;
            }
        }
        return null;
    }


    public static Boolean startsWithVowel(String word) {
        return isVowel(word.charAt(0));
    }

    public static Boolean isVowel(Character character) {
        for (String vowel : vowels) {
            if (character.toString().equalsIgnoreCase(vowel)) {
                return true;
            }
        }
        return false;
    }
}
