package rocks.zipcode.io.quiz3.arrays;

import rocks.zipcode.io.quiz3.fundamentals.StringUtils;

import java.util.ArrayList;
import java.util.List;

/**
 * @author leon on 09/12/2018.
 */
public class WaveGenerator {
    public static String[] wave(String str) {
        List<String> list = new ArrayList<>();
        for (int i = 0; i < str.length(); i++) {
            String currentCharacter = String.valueOf(str.charAt(i));
            String capitalizedFirstCharacter = currentCharacter.toUpperCase();
            Boolean hasNoEffect = currentCharacter.equals(capitalizedFirstCharacter);
            if(!hasNoEffect) {
                list.add(StringUtils.capitalizeNthCharacter(str, i));
            }
        }
        return list.toArray(new String[list.size()]);
    }
}
